/**
 * Created by Shaffer on 2017年8月29日 029.
 */
'use strict';


const conf = {
    core: {
        GLOBAL_KEY: ''
    },
    redis: {
        client: {
            host: '127.0.0.1',
            port: '6379',
            password: '',
            db: '0'
        }
    },
};

exports = options => {
    options || (options = {});

    Object.keys(options).forEach(key => {
        const value = options[key];

        if (key in conf && typeof value === typeof conf[key]) {
            conf[key] = value;
        }
    });
};

Object.keys(conf).forEach(key => {
    // 获取配置项
    exports[`get`] = (key) => {
        const value = conf[key];

        if (typeof value === 'string' && !value) {
            throw new Error(`\`${key}\`不能为空，请确保 SDK 配置已正确初始化`);
        }

        return value;
    };

    // 设定配置项
    exports[`set`] = (key, val) => {
        conf[key] = val;
    };
});

module.exports = exports;